<div class='input file file--image js--file'>
	<?php
		$modelAlias = 'VariantImage';
		echo $this->Form->input($prefix.$modelAlias.'.'.$key.'.model', array('type' => 'hidden', 'value' => $model));
		echo $this->Form->input($prefix.$modelAlias.'.'.$key.'.attachment_type', array('type' => 'hidden', 'value' => $type));
		echo $this->Form->input($prefix.$modelAlias.'.'.$key.'.id', array('type' => 'hidden'));
	?>

	<div class='preview' <?php if(isset($images[$key]) && $images[$key]){ echo "data-id='{$images[$key]['id']}' data-sequence='{$images[$key]['sequence']}' ";} ?> data-filetype='images'>
		<?php if(!isset($reorder) || $reorder): ?>
			<label class="reorder">
				&nbsp;
			</label>
		<?php endif; ?>

		<div class="preview__tools__delete">
				<?php
					if(isset($images[$key]) && $images[$key]) {
						$url = $this->Html->url(array('controller' => 'images', 'action'=>'remove', $images[$key]['id'], 'ajax' => true, 'plugin' => false));
					} else {
						$url = '#';
					}

					echo '<a href="' . $url . '" class="delete-image btn btn-sm btn-danger">';
						echo '<i class="fa fa-times"></i>';
						echo ' Delete Image';
					echo '</a>';
				 ?>
			</div>

		<div class="preview__info">
			<?php if(isset($images[$key]) && $images[$key]): ?>

				<h4 class='preview__title'> <?php echo __('Image details'); ?> </h4>;
				<b>Name</b> <?php echo $images[$key]['filename']; ?> <br />
				<b>Size</b> <?php echo $images[$key]['size']; ?> <br />
				<b>Type</b> <?php echo strtoupper($images[$key]['type']); ?> <br />
				<?php echo $this->Html->link(__('View current image'), DS . $images[$key]['filepath'], array('target' => '_blank')); ?>

			<?php else: ?>
				<?php echo $this->Img->resize('./upload-file-placeholder.png', array('width' => 250, 'height' => 200)); ?>

			<?php endif; ?>
		</div>
		<div class="preview__tools">
			<?php
				$imageFields = array('caption', 'alt', 'link_text', 'link_url');

				foreach ($imageFields as $imageField):

						if ($fields===true || (is_array($fields) && (in_array($imageField, $fields) || array_key_exists($imageField, $fields))) ) {

							$default = array(
								'type' => 'string',
								'label' => false,
								'div' => array('class' => 'input preview__tools__input')
							);

							//if(array_key_exists($imageField, $fields) && is_array($fields[$imageField])) {
							if (isset($fields[$imageField]) && is_array($fields[$imageField])) {
								$fieldSettings = array_merge($default, $fields[$imageField]);
							} else {
								$fieldSettings = $default;
							}
							//pr($fieldSettings);
							$labelText = $fieldSettings['label'] ? $fieldSettings['label'] : Inflector::humanize($imageField);
							$fieldSettings['label'] = $labelText;
							echo $this->Form->input($prefix.$modelAlias.".".$key.".".$imageField, $fieldSettings);
						}
				endforeach;

				echo $this->Form->input($prefix.$modelAlias.'.'.$key.".filename",
					array(
						'label' => "Replacement Image (optional)",
						'type' => 'file',
						'class' => 'image_upload',
						'div' => array('class' => 'input preview__tools__input')
					)
				);

				echo $this->Form->radio($prefix.$modelAlias.'.'.$key.'.is_restricted',
					[
						'Generic',
						'Restricted'
					],
					[
						'legend' => [
							'text' => 'Image Restriction:'
						],
						'class' => 'input-radio-image-restriction'
					]
				);

			?>

			<div class="preview__variant-image-options">
				<?php

					$checkedVariantImageOptions = [];
					if (isset($images[$key]['VariantImageOption'])) {
						$checkedVariantImageOptions = Hash::combine($images[$key]['VariantImageOption'], '{n}.option_id', '{n}.option_id');
					}

					$optionCount = 0;
					foreach ($options as $optionGroup) {
						if (!$optionGroup['OptionGroup']['for_filter']){

							$currentOptions = [];
							foreach ($optionGroup['Option'] as $optionKey => $option) {
								echo $this->Form->input($prefix.$modelAlias.'.'.$key.'.'.'VariantImageOption.'.$optionCount.'.id', [
									'type' => 'hidden',
									'hiddenField' => false
								]);

								echo $this->Form->input($prefix.$modelAlias.'.'.$key.'.'.'VariantImageOption.'.$optionCount.'.option_group_id', [
									'type' => 'hidden',
									'value' => $optionGroup['OptionGroup']['id'],
									'hiddenField' => false
								]);

								echo $this->Form->input($prefix.$modelAlias.'.'.$key.'.'.'VariantImageOption.'.$optionCount.'.option_id' , [
									'type' => 'checkbox',
									'value' => $option['id'],
									'label' => $option['name'],
									'hiddenField' => false,
									'checked' => isset($checkedVariantImageOptions[$option['id']])
								]);
								$optionCount += 1;
							}
						}
					}
				?>
			</div>
		</div>
	</div>
</div>
